server.port=${PORT:8080}
logging.level.org.atmosphere = warn
spring.mustache.check-template-location = false

# Launch the default browser when starting the application in development mode
vaadin.launch-browser=true
# To improve the performance during development.
# For more information https://vaadin.com/docs/latest/integrations/spring/configuration#special-configuration-parameters
vaadin.allowed-packages = com.vaadin,org.vaadin,dev.hilla,com.example.application
spring.jpa.defer-datasource-initialization = true

# Configuracion de LDAP
spring.ldap.urls=ldap://172.16.0.1:389
spring.ldap.base=DC=JUMAPACELAYA,DC=GOB,DC=MX
spring.ldap.username=administrator
spring.ldap.password=Dr3na$134%4guA



########PRODUCTIVO#################################
redmine.url=https://proyman.jumapacelaya.gob.mx/
redmine.api_key=69be2a5df9bacce02722f566fdf0731d728a1b86


########LOCAL######################################
#redmine.url=http://localhost:8200
#redmine.api_key=66f15c8ee2c8d587966e1836fede5f1eec35a605


###CONFIGURACION DEL TAMANO MAXIMO PERMITIDO PARA ARCHIVOS###
spring.servlet.multipart.max-file-size=10MB
spring.servlet.multipart.max-request-size=10MB


##############TIEMPO DE DURACION DE LA SESION#################
server.servlet.session.timeout=30m
server.servlet.session.cookie.secure=true
